#!/usr/bin/perl -w

#---libsetup---

# having . in @INC can cause tainting issues for use

no lib '.';

use FindBin;
BEGIN {
  ($dir)=($FindBin::Bin=~/^([\w\d\-\/\.]+)$/)
    or die "invalid current directory $FindBin::Bin";
}
use lib $dir;

#---endlibsetup---

use PhotoPub::Global qw(&init);
use PhotoPub::CLBase qw();
use PhotoPub::Config qw();
use PhotoPub::Handlers qw(&handlephoto);

&init();

foreach my $path (@ARGV) {
  print "Checking $path\n";
  chop($path) if substr($path,-1) eq '/';
  &handlephoto('test',$path);
}
